RepoDescriptor
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.osgi.repo
Class RepoDescriptor

    java.lang.Object
      org.apache.ivy.osgi.repo.RepoDescriptor

Direct Known Subclasses:
  BundleRepoDescriptor, P2Descriptor, UpdateSiteDescriptor

    public class RepoDescriptor

extends java.lang.Object

Constructor Summary
`RepoDescriptor(java.net.URI baseUri, ExecutionEnvironmentProfileProvider profileProvider)`

Method Summary
`void` | `add(java.lang.String type, java.lang.String value, ModuleDescriptor md)`
`void` | `addBundle(BundleInfo bundleInfo)`
`boolean` | `equals(java.lang.Object obj)`
`java.util.Set` | `findModule(java.lang.String requirement, java.lang.String value)`
`java.net.URI` | `getBaseUri()`
`java.util.Set` | `getCapabilityValues(java.lang.String capabilityName)`
`java.util.Map` | `getModuleByCapbilities()`
`java.util.Set` | `getModules()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepoDescriptor

    public RepoDescriptor(java.net.URI baseUri,
                          ExecutionEnvironmentProfileProvider profileProvider)

Method Detail

### getBaseUri

    public java.net.URI getBaseUri()

### getModules

    public java.util.Set getModules()

### getModuleByCapbilities

    public java.util.Map getModuleByCapbilities()

### findModule

    public java.util.Set findModule(java.lang.String requirement,
                                    java.lang.String value)

### getCapabilityValues

    public java.util.Set getCapabilityValues(java.lang.String capabilityName)

### add

    public void add(java.lang.String type,
                    java.lang.String value,
                    ModuleDescriptor md)

### addBundle

    public void addBundle(BundleInfo bundleInfo)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD